#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE kcmwifi.desktop
  PO_DIR wifi-desktops
)


##### kcm_wifi (module) #########################

tde_add_kpart( kcm_wifi AUTOMOC
  SOURCES
    wificonfig.cpp kcmwifi.cpp configcrypto.ui ifconfigpagebase.ui
    configpower.ui mainconfigbase.ui mainconfig.cpp ifconfigpage.cpp
    vendorconfig.cpp
  LINK tdeio-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)
